import { requestClient } from '#/api/request';

const prefix = 'mall/';
/**
 * 分页查询店铺管理列表
 * @param data
 */
export async function getStoreListApi(data: any) {
  return requestClient.get<any>(`${prefix}list`, { params: data });
}

/**
 * 获取店铺管理详情
 * @param id
 */
export async function getStoreInfoApi(id: number) {
  return requestClient.get<any>(`${prefix}detail`, { params: { id } });
}

/**
 * 新增店铺管理
 * @param data
 */
export async function createStoreApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}create`, data);
}

/**
 * 编辑店铺管理
 * @param data
 */
export async function updateStoreApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}update`, data);
}

/**
 * 删除店铺管理
 * @param data
 */
export async function deleteStoreApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}delete`, data);
}
